Bug 211265 - [vdso] marker in /proc/*/maps missing
[vdso] marker in /proc/*/maps missing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 05:04 EDT by Ulrich Drepper
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-24 11:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2006-10-18 05:04:27 EDT
Description of problem:
x86-64 xen kernels (I haven't checked non-xen kernels, I guess they have the
same problem) are missing the [vdso] annotation in /proc/self/maps.  It should
be present to match what native x86 kernels do.


Version-Release number of selected component (if applicable):
2.6.18-1.2798.fc6

How reproducible:
always

Steps to Reproduce:
1.compile as 32-bit binary:

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
int main(void)
{
  char buf[100];
  sprintf(buf, "cat /proc/%d/maps", getpid());
  system(buf);
  return 0;
}

2.run
3.
  
Actual results:
[...]
ffffe000-fffff000 r-xp ffffe000 00:00 0 

Expected results:

[...]
ffffe000-fffff000 r-xp ffffe000 00:00 0        [vdso]

Additional info:
Comment 1 Dave Jones 2007-04-23 14:57:15 EDT
native kernels seem to work. I don't have a xen kernel handy, but is this still
reproducable ?
Comment 2 Ulrich Drepper 2007-04-23 19:25:43 EDT
Seems to work for some time.  I'm running 2.6.19-1.2898.2.3.fc7xen in a DomU and
it works.

Note You need to log in before you can comment on or make changes to this bug.